Bug 111264 - ada compiler crashes on even hello-world
ada compiler crashes on even hello-world
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
: 115282 (view as bug list)
Depends On:
Blocks: 107562
  Show dependency treegraph
 
Reported: 2003-12-01 10:58 EST by Frank Ch. Eigler
Modified: 2013-08-05 21:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:07:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2003-12-01 10:58:20 EST
gcc-gnat-3.2.3-24, when building the hello-world ada source "foo.ads"

    with Text_Io; use Text_Io;
 
    procedure hello is
    begin
       put ("Hello world!");
    end hello;

incurs a compiler SEGV.
Comment 1 Jakub Jelinek 2003-12-01 12:00:32 EST
If the kernel uses non-executable stack by default on AMD64 and doesn't honor
PT_GNU_STACK marking (only FC1+ kernel honors it AFAIK), it is a kernel bug.
Ada certainly uses trampolines, as well as several other programs.

You might want to try noexec=off noexec32=off kernel options.
Comment 2 Jim Paradis 2003-12-16 15:21:18 EST
The noexec=off option does indeed eliminate the SEGV.  I'm now looking
into now invasive it would be to support PT_GNU_STACK for RHEL3-U2.
Comment 3 Jim Paradis 2003-12-23 15:53:42 EST
I've got a patch that fixes this; now under code review.

Comment 4 Jim Paradis 2004-01-19 15:24:03 EST
Patch slated for U2
Comment 5 Suzanne Hillman 2004-02-17 16:13:59 EST
*** Bug 115282 has been marked as a duplicate of this bug. ***
Comment 6 John Flanagan 2004-05-11 21:07:50 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.